std::tr2::bases< _Tp >(3)

NAME
std::tr2::bases< _Tp > -

SYNOPSIS

  Public Types
typedef __reflection_typelist
< __bases(_Tp)...> type"

Detailed Description

  template<typename _Tp>struct std::tr2::bases< _Tp >
Sequence abstraction metafunctions for manipulating a typelist. Enumerate all the base classes of a class. Form of a typelist.

Definition at line 88 of file tr2/type_traits.

Author

Generated automatically by Doxygen for libstdc++ from the source code.